  type tDMNetworkMonitorList
    PetscFortranAddr:: v = PETSC_FORTRAN_TYPE_INITIALIZE
  end type tDMNetworkMonitorList
  DMNetworkMonitorList, parameter :: PETSC_NULL_DMNETWORKMONITORLIST = tDMNetworkMonitorList(0)
  DMNetworkMonitorList, target :: PETSC_NULL_DMNETWORKMONITORLIST_ARRAY(1) = [tDMNetworkMonitorList(0)]
  DMNetworkMonitorList, pointer :: PETSC_NULL_DMNETWORKMONITORLIST_POINTER(:) => PETSC_NULL_DMNETWORKMONITORLIST_ARRAY
#if defined(_WIN32) && defined(PETSC_USE_SHARED_LIBRARIES)
!DEC$ ATTRIBUTES DLLEXPORT::PETSC_NULL_DMNETWORKMONITORLIST
!DEC$ ATTRIBUTES DLLEXPORT::PETSC_NULL_DMNETWORKMONITORLIST_ARRAY
!DEC$ ATTRIBUTES DLLEXPORT::PETSC_NULL_DMNETWORKMONITORLIST_POINTER
#endif

  type tDMNetworkMonitor
    PetscFortranAddr:: v = PETSC_FORTRAN_TYPE_INITIALIZE
  end type tDMNetworkMonitor
  DMNetworkMonitor, parameter :: PETSC_NULL_DMNETWORKMONITOR = tDMNetworkMonitor(0)
  DMNetworkMonitor, target :: PETSC_NULL_DMNETWORKMONITOR_ARRAY(1) = [tDMNetworkMonitor(0)]
  DMNetworkMonitor, pointer :: PETSC_NULL_DMNETWORKMONITOR_POINTER(:) => PETSC_NULL_DMNETWORKMONITOR_ARRAY
#if defined(_WIN32) && defined(PETSC_USE_SHARED_LIBRARIES)
!DEC$ ATTRIBUTES DLLEXPORT::PETSC_NULL_DMNETWORKMONITOR
!DEC$ ATTRIBUTES DLLEXPORT::PETSC_NULL_DMNETWORKMONITOR_ARRAY
!DEC$ ATTRIBUTES DLLEXPORT::PETSC_NULL_DMNETWORKMONITOR_POINTER
#endif

